QGIS Application - Bug report #7139
Wrong "no data” transparency in palletted rasters
2013-02-11 02:53 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 16204
Description

In QGIS master it seems that the transparency of no data values is handled in the wrong way.

Open the attached raster and give it a little transparency, the no data values areas will become solid black/grey (depending on the

amount of transparency).

It is a regression.

Associated revisions

Revision 02ab0274 - 2013-05-15 08:43 PM - Radim Blazek

fixed raster paletted renderer for no data, fixes #7139

History

#1 - 2013-05-15 11:45 AM - Radim Blazek
- Status changed from Open to Closed

Fixed in changeset commit:"02ab02746adb66adf5f35be5bf51097ebf0f8bc3".

#2 - 2013-05-15 11:45 AM - Radim Blazek
- Resolution set to fixed

Files
test_transparency?2.tif.zip 2.64 MB 2013-02-11 Giovanni Manghi
2025-04-27 1/1




